package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.MusicalErrorTypeEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/8/23 0023
 */
public class MusicalNotesPlayStatDto {

    @ApiModelProperty("音符数")
    private int musicalNotesIndex;

    @ApiModelProperty("错误类型")
    private MusicalErrorTypeEnum musicalErrorType;

    public MusicalNotesPlayStatDto() {
    }

    public MusicalNotesPlayStatDto(int musicalNotesIndex, MusicalErrorTypeEnum musicalErrorType) {
        this.musicalNotesIndex = musicalNotesIndex;
        this.musicalErrorType = musicalErrorType;
    }

    public int getMusicalNotesIndex() {
        return musicalNotesIndex;
    }

    public void setMusicalNotesIndex(int musicalNotesIndex) {
        this.musicalNotesIndex = musicalNotesIndex;
    }

    public MusicalErrorTypeEnum getMusicalErrorType() {
        return musicalErrorType;
    }

    public void setMusicalErrorType(MusicalErrorTypeEnum musicalErrorType) {
        this.musicalErrorType = musicalErrorType;
    }
}
